/* logos and socials */

.socials{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 10px;
}

/* General Styles */

.desktop{
    display: none;
}
body {
    background-color: #000000;
    overflow-x: hidden;
    width: 100%;
    margin:0px;
    padding:0px;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
}

a{
    color:#FFF;
    font-family: "Tilt Warp", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
      "XROT" 0,
      "YROT" 0;
    font-size: 18px;
}

.button-link{padding: 0px;
margin: 0px;
text-decoration: none;}

.social-link{padding: 0px;
    margin: 0px;
    text-decoration: none;
}

.social-link:hover{
    transition: 500ms;
    transform: scale(1.2); 
}


.nav-link{
    margin: 10px 10px 0 10px;
    text-decoration: none;
    font-size: x-large;
}

.title, h1, h2, h3, h4, p {
    color: #fff;
    font-family: "source sans 3", sans-serif;
    font-weight: 400;
    font-style: normal;

}
.other-pages{
    border-bottom: solid transparent 2px ;
}

.other-pages:hover{
    transition: 750ms;
    margin: 0px;
    padding: 10px 10px 0 10px;
    border-bottom: solid white 2px ;
}
.current-page{
    border-bottom: solid white 2px ;
    

}

.current-page:hover{
    transition: 500ms;
    margin: 0px;
    padding: 10px 10px 0 10px;
}

.title {
    position: relative;
    background: linear-gradient(90deg, #ffd8d8 0%, #dcf4ff 100%);
    background-clip: text;
    color: transparent;
    margin: 0px;
    font-size: 48px;
    padding-left: 10px;
    z-index: 1;
}

h1 {
    font-size: 48px;
}

h2 {
    font-size: 40px;
}

h3{
    font-size: 32px;
    margin: 0px;
}

h4 {
    color: #ffffff;
    font-weight: 700;
    font-size: 24px;
}

p {
    font-size: 18px;
}
.text-margin-small{
    margin-top: 5px;
    margin-bottom: 5px;
}

.text-margin-medium{
    margin:20px  0 20px 0;
}
.small-text{
    font-size: 14px;
}

.start-hidden{
    display: none;
}

.flex{
    display: flex;
}

.white-line{
    border: none;
    border-top: solid  4px;
    border-image: linear-gradient(45deg, #cb9fa9 28%, #9dc1d3 100%);
    border-image-slice: 1;
    margin: 15px 0;
    width: 100%;
}
/* Navigation */

header{
    transform: translateY(-100px);
    position: absolute;
    top: 0px;
    width: 100%;
    left:0px;
    height: 70px;
}

.hamburger{
    position: absolute;
    padding: 10px;
    top: 5px;
    right: 5px;
    width: 28px;
    height: auto;
    z-index: 1;
}

#mobile-nav{
    position: absolute;
    top: 0px;
    padding-top: 70px;
    width:100%;
    height: 475px;;
    background: rgb(0,0,0);
    background: linear-gradient(180deg, rgba(0,0,0,0.86) 60%, rgba(0,0,0,0) 100%);
    flex-direction: column;
    align-items: center;
}

/* footer */
footer{
    margin-left:auto;
    margin-right: auto;
    width: 100%; 
    position: relative;
    top: 0px;
       
}

.mobile-footer-nav{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    height: auto;
    align-items: center;
}

/*images*/
.background-Image{
    position: relative;
}

.song-cover{
    border-radius: 15px;
    width: 100%;
    height: auto;
    margin-top: 15px;
}

.spotify-preview{
    width: 100%;
    height: 100%;
    margin-top: 15px;
    border: none;  /* Removes border */    
}

.gallery-portraits{
    width: 100%;
    height: auto;
    margin-top: 30px;
}

.social-image{
    width: 100%;
}

/* Button */
.invisable{
    background-color: #00000000;
    border: #00000000;
    box-shadow: none;
    margin: 0px;
    padding: 10px;
    width: auto;
    height: auto;
}

.btn{
    display: inline-block;
    font-family: "source sans 3", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 18px;
    color: #fff;
    background: linear-gradient(153deg, #b8dcff07 28%, #ffb1e918 100%);
    padding: 5px 40px;
    border: solid #ffffff 2px;
    box-shadow: none;
    transition : 500ms;

    cursor: pointer;
}

.btn:hover{
    transition : 500ms;
    padding: 5px 45px;
    transform: translateY(-5px);
    background: linear-gradient(153deg, #b8dcff 28%, #ffb1e9 100%);
    color: #000000;
    border: solid 2px ;
    border-image: linear-gradient(153deg, #b8dcff 28%, #ffb1e9 100%);
    border-image-slice: 1;
}

/* Boxes and grids */

.widthfull{
    width: 100%;
}

.music-preview{
    background-color: rgba(0,0,0,0.86);
    border: solid  3px;
    border-image: linear-gradient(45deg, #cb9fa9 28%, #9dc1d3 100%);
    border-image-slice: 1;
    margin-left: auto;
    margin-right: auto;
    padding: 20px;
    width: auto;
}


.box-white,.box-white-center{
    background-color: rgba(0,0,0,0.86);
    border: solid  3px;
    border-image: linear-gradient(45deg, #cb9fa9 28%, #9dc1d3 100%);
    border-image-slice: 1;
    padding: 20px;
    border-left: #00000000;
    border-right: #00000000;
}

.box-white-narrow{
    background-color: rgba(0,0,0,0.86);
    border: solid  3px;
    border-image: linear-gradient(45deg, #cb9fa9 28%, #9dc1d3 100%);
    border-image-slice: 1;
    border-left: #00000000;
    border-right: #00000000;
    padding: 20px;
}

.box-white-center{
    display: flex;
    align-items: center;
    justify-content:center ;
    padding-top: 10px;
    padding-bottom: 10px;
    transform: translateY(-2px); /* to make borders stack */
}

.box-center{
    background-color: rgba(0,0,0,0.86);
    display: flex;
    align-items: center;
    justify-content:center ;
    padding-top: 10px;
    padding-bottom: 10px;
    flex-wrap: wrap;
    padding: 20px;
}

.box{
    padding-left: 20px;
    padding-right: 20px;

}

.flexbox-columns{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 30px;
}

.flex-columns{
    width:100%;
}

/* positioning */
.space-bottom{
    margin: 60px 0 200px;
}
.centre-content{
    position: relative;
    display: flex;
    justify-content: center;
    overflow-x: hidden;
}
.postion-socials{
    position: absolute;
    top:calc(50% - 20px);
}

main{
    margin-left:auto;
    margin-right: auto;
    width: 100%; 
}

.content-left-right
{
    margin-top:10px ;
    margin-bottom:10px ;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.center{
    display: flex;
    align-items: center;
    justify-content:center ;
}

/* Contact Details */





/* Responsive Design */


@media only screen and (min-width: 768px) and (max-width: 1400px) {
    /* Tablets and smaller screens */

}

@media only screen and (min-width: 768px) {
    /* Desktop */
    .mobile{
        display: none;
    }
    .desktop{display: block;}
    /*section */
    main{
        margin-left:auto;
        margin-right: auto;
        width: 70%; 
        max-width: 1200px;
        margin-top: -140vh;
        min-width: 800px;

    }

    header{
        display: flex;
        justify-content: space-between; 
        height: auto;
    }

    
    .title{
        font-size: 72px;
        left: 20px;
        top: 10px;


    }
    footer{
        width: 100%; 
        max-width: 1400px;
        margin-top: 60px;
            
    }
    /*links*/
    .socials{
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        gap: 10px;
    }

    .postion-socials{
        position: absolute;
        top:150px;
        right: 20vh;
    }

    .desktop-nav{
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        height: 100px;
        align-items: center;
        margin-right: 20px;
         }
    /*boxes*/

    .box-white,.box-white-center{
        border-color:#FFF ;
        border-left: solid 2px #FFF;
        border-right: solid 2px #FFF;
        padding-left: 10%;
        padding-right: 10%;
    }

    .box-white-narrow{
        background-color: rgba(0,0,0,0.86);
        border: solid  3px;
        border-image: linear-gradient(45deg, #cb9fa9 28%, #9dc1d3 100%);
        border-image-slice: 1;
        padding: 20px;
        padding-left: 20%;
        padding-right: 20%;
    }
    .background-Image{
        width: 1400px;
        

    }

    .flex-columns{
        width: calc(50% - 15px);
    }

    /* positioning */
    .space-bottom{
        margin: 60px 0 120px;
    }
    .space-only-bottom{
        margin: 0 0 120px;
    }
    .centre-content{
        position: relative;
        top:0px;
        display: flex;
        justify-content: center;
        overflow-x: hidden;
    }
    /*  Images */
    .gallery-portraits{
        width:calc(50% - 15px);
        }

}

@media only screen and (min-width: 1400px) {

    .gallery-portraits{
        width:calc(33% - 30px);
        }
    
}